<% 
' Comersus 5.0x Sophisticated Cart 
' Developed by Rodrigo S. Alhadeff for Comersus Open Technologies
' United States 
' Open Source License can be found at License.txt
' http://www.comersus.com  
' Details: list active categories on the store. If is leaf category, list products
%>

<!--#include virtual="/comersus/includes/settings.asp"--> 
<!--#include virtual="/comersus/includes/getSettingKey.asp"--> 
<!--#include virtual="/comersus/includes/databaseFunctions.asp"--> 
<!--#include virtual="/comersus/includes/languages.asp"--> 
<!--#include virtual="/comersus/includes/currencyFormat.asp"--> 
<!--#include virtual="/comersus/includes/switchLanguage.asp"-->
<!--#include virtual="/comersus/includes/stringFunctions.asp"-->
<!--#include virtual="/comersus/includes/sessionFunctions.asp"-->  
<!--#include virtual="/comersus/includes/miscFunctions.asp"-->  

<% 
dim mySQL, connTemp, rsTemp, pIdCategory, pCategoryDesc, totalPages, count, pIdAffiliate, pDefaultLanguage, pStoreFrontDemoMode, pCurrencySign, pDecimalSign, pCompany, pCompanyLogo, pAuctions, pListBestSellers, pNewsLetter, pPriceList, pStoreNews, pOneStepCheckout, pAffiliatesStoreFront, pCategoriesAlphOrder, pAllowNewCustomer, curPage, pHeaderKeywords, pLanguage, pCustomerName, pHeaderCartItems, pHeaderCartSubtotal, pMoneyDontRound, pIdParentCategory, pImageCategory, indexCategories, pUrlString, pIdCategory2, pCategoryDescSw, pIdCategorySw, f, pIdProduct, pDescription, pPrice, pBtoBPrice, pSmallImageUrl, pStock, pIsBundleMain, pRental, pDetails, pListPrice, pSpecialPrice, pIdCustomerType, pShowBtoBPrice, pCompareProducts, pUnderStockBehavior

call saveCookie()

on error resume next 

' set affiliate
pIdAffiliate=getUserInput(request.querystring("idAffiliate"),4)

if isNumeric(pIdAffiliate)then
   session("idAffiliate")= pIdAffiliate
end if

' get settings 
pDefaultLanguage 	= getSettingKey("pDefaultLanguage")
pStoreFrontDemoMode 	= getSettingKey("pStoreFrontDemoMode")
pCurrencySign	 	= getSettingKey("pCurrencySign")
pDecimalSign	 	= getSettingKey("pDecimalSign")
pCompany	 	= getSettingKey("pCompany")
pCompanyLogo	 	= getSettingKey("pCompanyLogo")

pAuctions		= getSettingKey("pAuctions")
pListBestSellers 	= getSettingKey("pListBestSellers")
pNewsLetter 		= getSettingKey("pNewsLetter")
pPriceList 		= getSettingKey("pPriceList")
pStoreNews 		= getSettingKey("pStoreNews")
pOneStepCheckout	= getSettingKey("pOneStepCheckout")
pAffiliatesStoreFront   = getSettingKey("pAffiliatesStoreFront")
pCategoriesAlphOrder	= getSettingKey("pCategoriesAlphOrder")
pAllowNewCustomer	= getSettingKey("pAllowNewCustomer")

' defined 10 records per page

const numPerPage = 10

if request.queryString("curPage") = "" then
  curPage = 1 
else
  curPage = getUserInput(request.queryString("curPage"),4)  
end if

pIdCategory	= getUserInput(request.querystring("idCategory"),4)


' get category tree
if pIdCategory<>"" then
   
 dim arrCategories(100,2)

 indexCategories = 0
 pUrlString	 = Cstr("")

 pIdCategory2=pIdCategory
 
 ' load category array with all categories until parent
 
 do while pIdCategory2>1
 
   mySQL="SELECT categoryDesc, idCategory, idParentcategory, imageCategory FROM categories WHERE idCategory=" & pIdCategory2
   
   call getFromDatabase (mySql, rsTemp, "listCategoriesAndProducts")      
   
   if rstemp.eof then       
      response.redirect "comersus_message.asp?message="&Server.Urlencode(dictLanguage.Item(Session("language")&"_listcategoriesandproducts_6") )           
   end if
   
    pCategoryDescSw			= rsTemp("categoryDesc")
    pIdCategorySw			= rsTemp("idCategory") 
    pImageCategory			= rsTemp("imageCategory") 
        
    call switchCategoryLanguage(session("language"), pIdCategorySw, pCategoryDescSw)
    
    pIdCategory2			= rsTemp("idParentCategory")    
    arrCategories(indexCategories,0)	= pCategoryDescSw
    arrCategories(indexCategories,1)	= pIdCategorySw     
    indexCategories 			= indexCategories + 1   
  
 loop
   
end if 'idParentCategory

' get child categories 

if pIdCategory="" then
  mySQL="SELECT idCategory, categoryDesc, idParentCategory, imageCategory FROM categories WHERE idParentCategory=1 AND idCategory<>1 AND active=-1"
else
  mySQL="SELECT idCategory, categoryDesc, idParentCategory, imageCategory FROM categories WHERE idParentCategory=" &pIdCategory& " AND idCategory<>1 AND active=-1"
end if

if pCategoriesAlphOrder="-1" then 
 mySql=mySql&" ORDER BY categoryDesc"
else
 mySql=mySql&" ORDER BY displayOrder"
end if

call getFromDatabase (mySql, rsTemp, "listCategoriesAndProducts")

' no categories defined in the store
if rstemp.eof and pIdCategory="" then 
  response.redirect "comersus_message.asp?message="&Server.Urlencode(dictLanguage.Item(Session("language")&"_listcategoriesandproducts_1") )         
end if  

%><!--#include file="header.asp"--><%

' leaf category, list all products
if rstemp.eof then

 mySQL="SELECT products.idProduct, description, price, bTobPrice, smallImageUrl, stock, isBundleMain, rental FROM products, categories_products WHERE products.idProduct=categories_products.idProduct AND categories_products.idCategory="& pIdCategory&" AND listHidden=0 AND active=-1 ORDER BY description"
 
 call getFromDatabasePerPage(mySql, rstemp,"listCategoriesAndProducts")   

%>
<br><img src="images/orange_arrow.gif" width="7" height="8">
<b>
<%
response.write dictLanguage.Item(Session("language")&"_listcategoriesandproducts_2")
  for f=indexCategories-1 to 0 step -1
   response.write " > " & "<a href='comersus_listCategoriesAndProducts.asp?idCategory=" &arrCategories(f,1) & "'>" & arrCategories(f,0) &"</a>"
  next    %>
</b><br><br>
<table width="590" border="0" cellspacing="0" cellpadding="0">
<%

if rstemp.eof then 
  response.write dictLanguage.Item(Session("language")&"_listcategoriesandproducts_4")
else
 
 rstemp.moveFirst
 rstemp.pageSize 	= numPerPage
 totalPages 		= rstemp.PageCount
 rstemp.absolutePage 	= curPage
 
 do while not rstemp.eof and count < rstemp.pageSize
   
   pIdProduct		= rstemp("idProduct")
   pDescription		= rstemp("description")   
   pPrice		= rstemp("price")   
   pBtoBPrice		= rstemp("bToBPrice")   
   pSmallImageUrl	= rstemp("smallImageUrl")   
   pStock		= rstemp("stock")   
   pIsBundleMain	= rsTemp("isBundleMain")
   pRental		= rsTemp("rental")
   
   call switchProductsLanguage(session("language"), pIdProduct, pDetails, pDescription)
   
   %><!--#include file="itemDetailSm.asp"--><%   
   count = count + 1  
   rstemp.moveNext
 loop
%>
</table>
<br>
<form method="post" action="" name="nscapeview">
<%response.write(dictLanguage.Item(Session("language")&"_listproductsbysupplier_4") & curPage & dictLanguage.Item(Session("language")&"_listproductsbysupplier_5") & TotalPages & "<P>")%>
<%
if curPage > 1 then
   response.write("<INPUT TYPE=BUTTON VALUE='<' ONCLICK=""document.location.href='comersus_listCategoriesAndProducts.asp?idCategory="& pIdCategory& "&curPage="& curPage - 1 & "';"">")
end if

if cInt(curPage) <> cInt(TotalPages) then
   response.write("<INPUT TYPE=BUTTON VALUE='>' ONCLICK=""document.location.href='comersus_listCategoriesAndProducts.asp?idCategory="& pIdCategory& "&curPage="& curPage + 1 & "';"">")
end if
%>
</form>

<%
 end if ' eof for products
else    ' is not leaf category
%>
<div align="left">
<br><img src="images/orange_arrow.gif" width="7" height="8">
<b>
<%
if pIdCategory<>"" then   
  response.write dictLanguage.Item(Session("language")&"_listcategoriesandproducts_2")
  for f=indexCategories-1 to 0 step -1
   response.write " > " & "<a href='comersus_listCategoriesAndProducts.asp?idCategory=" &arrCategories(f,1) & "'>" & arrCategories(f,0) &"</a>"
  next    
else
   response.write dictLanguage.Item(Session("language")&"_listcategoriesandproducts_5")
end if
%></b><br><br>
<%
 do while not rstemp.eof 
   
   pIdCategory		= rstemp("idCategory")
   pCategoryDesc	= rstemp("categoryDesc")   
   pIdParentCategory	= rstemp("idParentCategory")
   pImageCategory	= rstemp("imageCategory")
   
   call switchCategoryLanguage(session("language"), pIdCategory, pCategoryDesc)
   
   %>   
   <%if trim(pImageCategory)<>"" then%>
   <img src="catalog/<%=pImageCategory%>">
   <%end if%>
   <a href='comersus_listCategoriesAndProducts.asp?idCategory=<%=pIdCategory%>'> 
     <%response.write pCategoryDesc%></a>
   <br><br>
   <%     
   rstemp.moveNext
 loop
end if
call closeDb()
%>
<br>
<!--#include file="footer.asp"--> 