<%
' Comersus 5.0x Sophisticated Cart 
' Developed by Rodrigo S. Alhadeff for Comersus Open Technologies
' United States 
' Open Source License can be found at License.txt
' http://www.comersus.com  
' Details: save customer profile and continue checkout
%>

<!--#include virtual="/comersus/includes/settings.asp" --> 
<!--#include virtual="/comersus/includes/getSettingKey.asp"--> 
<!--#include virtual="/comersus/includes/sessionFunctions.asp"--> 
<!--#include virtual="/comersus/includes/databaseFunctions.asp"-->    
<!--#include virtual="/comersus/includes/encryption.asp" --> 
<!--#include virtual="/comersus/includes/languages.asp" --> 
<!--#include virtual="/comersus/includes/stringFunctions.asp"-->

<% 

on error resume next

dim  mySQL, connTemp, rsTemp

' get settings 
pDefaultLanguage 	= getSettingKey("pDefaultLanguage")
pStoreFrontDemoMode 	= getSettingKey("pStoreFrontDemoMode")
pCurrencySign	 	= getSettingKey("pCurrencySign")
pDecimalSign	 	= getSettingKey("pDecimalSign")
pCompany	 	= getSettingKey("pCompany")
pCompanyLogo	 	= getSettingKey("pCompanyLogo")
pEncryptionPassword 	= getSettingKey("pEncryptionPassword")
pEncryptionMethod 	= getSettingKey("pEncryptionMethod")

' form parameters

pName			= formatForDb(getUserInput(request.querystring("name"),50))
pLastName		= formatForDb(getUserInput(request.querystring("lastName"),50))
pCustomerCompany	= formatForDb(getUserInput(request.querystring("customerCompany"),50))
pEmail			= formatForDb(getUserInput(request.querystring("email"),80))
pPassword		= formatForDb(getUserInput(EnCrypt(request.querystring("password"), pEncryptionPassword),50))
pPassword2		= formatForDb(getUserInput(EnCrypt(request.querystring("password2"), pEncryptionPassword),50))
pPhone			= formatForDb(getUserInput(request.querystring("phone"),20))

pAddress		= formatForDb(getUserInput(request.querystring("address"),100))
pCity			= formatForDb(getUserInput(request.querystring("city"),30))
pZip			= formatForDb(getUserInput(request.querystring("zip"),12))
pState			= formatForDb(getUserInput(request.querystring("state"),30))
pStateCode		= formatForDb(getUserInput(request.querystring("stateCode"),30))
pCountryCode		= formatForDb(getUserInput(request.querystring("countryCode"),4))

pShippingAddress	= formatForDb(getUserInput(request.querystring("shippingAddress"),100))
pShippingCity		= formatForDb(getUserInput(request.querystring("shippingCity"),30))
pShippingZip		= formatForDb(getUserInput(request.querystring("shippingZip"),12))
pShippingState		= formatForDb(getUserInput(request.querystring("shippingState"),30))
pShippingStateCode	= formatForDb(getUserInput(request.querystring("shippingStateCode"),30))
pShippingCountryCode	= formatForDb(getUserInput(request.querystring("shippingCountryCode"),4))

' retrieve custom fields
pUser1		= formatForDb(getUserInput(request.querystring("user1"),30))
pUser2		= formatForDb(getUserInput(request.querystring("user2"),30))
pUser3		= formatForDb(getUserInput(request.querystring("user3"),30))

' verify password
if pPassword<>pPassword2 then
 response.redirect "comersus_message.asp?message="&Server.Urlencode(dictLanguage.Item(Session("language")&"_checkshippingaddress_11"))
end if

' autogenerate password
if pPassword="" and pPassword2="" then
 pPassword=randomNumber(999999) 
end if 

' verify only state or stateCode
if pState<>"" and pStateCode<>"" then
   response.redirect "comersus_message.asp?message="&Server.Urlencode(dictLanguage.Item(Session("language")&"_customerregistrationexec_3"))
end if

' check if the entire shipping address was entered
if pShippingAddress<>"" then
 if pShippingZip="" or pShippingCity="" or pShippingCountryCode="" then response.redirect "comersus_message.asp?message="&Server.Urlencode(dictLanguage.Item(Session("language")&"_customerregistrationexec_5"))
end if

' check if entered email already exists in database
mySQL="SELECT idCustomer FROM customers WHERE email='" &pEmail&"'"

call getFromDatabase(mySql, rsTemp,"customerRegistrationExec")

if not rstemp.eof then
 response.redirect "comersus_message.asp?message="&Server.Urlencode(dictLanguage.Item(Session("language")&"_customerregistrationexec_1") ) 
end if

' insert to customers table with retail customer type by default (admin can change to BtoB later with BackOffice)
mySQL="INSERT INTO customers (name, lastName, customerCompany, email, city, countryCode, phone, address, zip, password, state, stateCode, idCustomerType, active, user1, user2, user3, bonusPoints) VALUES ('" &pName& "','" &pLastName& "','" &pCustomerCompany& "','" &pEmail& "','" &pCity& "', '" &pCountryCode& "','" &pPhone& "','" &pAddress& "','" &pZip& "','" &pPassword& "','" &pState& "','" &pStateCode& "',1,-1,'" &pUser1& "','" &pUser2& "','" &pUser3& "',0)"

call updateDatabase(mySQL, rsTemp, "customerRegistrationExec")

' obtain the idCustomer of the new record

mySQL="SELECT idCustomer FROM customers WHERE email='" &pEmail&"'"

call getFromDatabase(mySql, rsTemp, "customerRegistrationExec")

if rstemp.eof then response.redirect "comersus_supportError.asp?error="&Server.Urlencode("Cannot locate customer ID inside checkoutCustomerExec")

pIdCustomer=rstemp("idCustomer")  
' login the registered user
session("idCustomer")	 = pIdCustomer

' BtoC (retail) customer by default
session("idCustomerType")  = 1

' update shipping address

if pShippingAddress<>"" then
 mySQL="UPDATE customers SET shippingAddress='" &pShippingAddress& "', shippingZip='" &pShippingZip& "', shippingStateCode='" &pShippingStateCode& "', shippingState='" &pShippingState& "', shippingCity='" &pShippingCity&"', shippingCountryCode='" &pShippingCountryCode& "' WHERE idCustomer=" &pIdCustomer
 call updateDatabase(mySQL, rsTemp, "customerRegistrationExec")
end if

call closeDb()	
 
response.redirect "comersus_checkOutSwitchShipment.asp"

%>
